Polymarket Events
curl --request GET \
--url https://api.asksurf.ai/gateway/v1/prediction-market/polymarket/eventsimport requests
url = "https://api.asksurf.ai/gateway/v1/prediction-market/polymarket/events"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.asksurf.ai/gateway/v1/prediction-market/polymarket/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"event_slug": "<string>",
"market_count": 123,
"markets": [
{
"condition_id": "<string>",
"market_slug": "<string>",
"status": "<string>",
"title": "<string>",
"volume_1_month": 123,
"volume_1_week": 123,
"volume_1_year": 123,
"volume_total": 123,
"category": "<string>",
"close_time": 123,
"completed_time": 123,
"description": "<string>",
"end_time": 123,
"event_slug": "<string>",
"game_start_time": 123,
"image": "<string>",
"negative_risk_id": "<string>",
"polymarket_link": "<string>",
"resolution_source": "<string>",
"side_a": {
"id": "<string>",
"label": "<string>"
},
"side_b": {
"id": "<string>",
"label": "<string>"
},
"start_time": 123,
"subcategory": "<string>",
"tags": [
"<string>"
],
"winning_side": "<string>"
}
],
"status": "<string>",
"title": "<string>",
"volume_total": 123,
"category": "<string>",
"description": "<string>",
"end_time": 123,
"image": "<string>",
"settlement_sources": "<string>",
"start_time": 123,
"subcategory": "<string>",
"tags": [
"<string>"
]
}
],
"meta": {
"cached": true,
"credits_used": 123,
"limit": 123,
"offset": 123,
"total": 123
},
"$schema": "https://example.com/schemas/DataResponsePolymarketEvent.json"
}{
"error": {
"code": "<string>",
"message": "<string>"
},
"$schema": "https://example.com/schemas/DataAPIError.json"
}Prediction Market
Polymarket Events
GET
/
gateway
/
v1
/
prediction-market
/
polymarket
/
events
Polymarket Events
curl --request GET \
--url https://api.asksurf.ai/gateway/v1/prediction-market/polymarket/eventsimport requests
url = "https://api.asksurf.ai/gateway/v1/prediction-market/polymarket/events"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.asksurf.ai/gateway/v1/prediction-market/polymarket/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"event_slug": "<string>",
"market_count": 123,
"markets": [
{
"condition_id": "<string>",
"market_slug": "<string>",
"status": "<string>",
"title": "<string>",
"volume_1_month": 123,
"volume_1_week": 123,
"volume_1_year": 123,
"volume_total": 123,
"category": "<string>",
"close_time": 123,
"completed_time": 123,
"description": "<string>",
"end_time": 123,
"event_slug": "<string>",
"game_start_time": 123,
"image": "<string>",
"negative_risk_id": "<string>",
"polymarket_link": "<string>",
"resolution_source": "<string>",
"side_a": {
"id": "<string>",
"label": "<string>"
},
"side_b": {
"id": "<string>",
"label": "<string>"
},
"start_time": 123,
"subcategory": "<string>",
"tags": [
"<string>"
],
"winning_side": "<string>"
}
],
"status": "<string>",
"title": "<string>",
"volume_total": 123,
"category": "<string>",
"description": "<string>",
"end_time": 123,
"image": "<string>",
"settlement_sources": "<string>",
"start_time": 123,
"subcategory": "<string>",
"tags": [
"<string>"
]
}
],
"meta": {
"cached": true,
"credits_used": 123,
"limit": 123,
"offset": 123,
"total": 123
},
"$schema": "https://example.com/schemas/DataResponsePolymarketEvent.json"
}{
"error": {
"code": "<string>",
"message": "<string>"
},
"$schema": "https://example.com/schemas/DataAPIError.json"
}Query Parameters
Event slug identifier
Example:
"bitcoin-100k-2025"
Results per page
Required range:
1 <= x <= 100Example:
20
Pagination offset
Required range:
x >= 0Example:
0